Block an account
This endpoint is used to delete existing data and block new data from being stored on the specified account. This may be necessary in order to comply with certain rules, regulations, or standards.
This endpoint does several things.
- It immediately and permanently deletes most data from the account object. Certain information is retained that is necessary for MX to prevent the account from being re-added.
- It prevents MX from creating or storing any additional data associated with the account, for example transactions, holdings, statements, etc.
- It immediately and permanently deletes all data associated with the account, for example transactions, holdings, statements, etc.
This action cannot be taken on manual accounts, in other words accounts with
is_manual is true. Attempting to perform a block on a manual account will result in a 400 Bad Request error with the message Manually created accounts cannot be blocked. Objects deleted as a result of blocking an account will issue a webhook for that object with the action set to deleted. For example, account deleted, transaction deleted, etc. There is no special webhook or action for blocking.
This endpoint accepts the optional
MX-Skip-Webhook header and skip_webhook parameter.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for an account.
The unique identifier for a user, beginning with the prefix USR-.
Response
OK

